[SM-Discuss] Announcing stable grimoire 0.20 release

Elisamuel Resto samuel at dragonboricua.net
Fri Apr 18 14:45:37 EDT 2008


Stable grimoire version 0.20[0] has been released!

As usual, users of stable merely need to run 'sorcery system-update'.
Spells listed on the 0.20 release wiki were tested and qualified to
have no known defects of "gating" severity at the time of this release.
The tarballs have been signed and uploaded to our server and will be
propogating out to the mirrors within six hours.

To download the grimoire manually, get
http://codex.sourcemage.org/stable.tar.bz2 or specifically
http://codex.sourcemage.org/stable-0.20.tar.bz2.

GPG signatures are available at
http://codex.sourcemage.org/stable.tar.bz2.asc or
http://codex.sourcemage.org/stable-0.20.tar.bz2.asc.

I would like to thank Eric Sandall (sandalle) and Mathieu Lonjaret
(lejatorn) for searching the base system spells for bugs and testing them.

Here's the shortlog between 0.19 and 0.20:

Alexander Tsamutali (6):
        graphics/inkscape: now depends on boost
        editors/emacs: updated to 22.2
        editors/zile: updated to 2.2.56
        haskell/haskell-x11: updated to 1.4.2
        windowmanagers/xmonad: updated to 0.7
        wm-addons/xmonad-contrib: updated to 0.7

Andraž Levstik (3):
        tor: updated devel and non-devel
        dovecot: update to 1.0.13
        nfs-utils: fix broken stop function

Arjan Bouter (5):
        kahakai: finishing deprecation
        papuawm: finishing deprecation
        wmi: finishing deprecation
        Changelog entries for removal of deprecated spells
        swfdec: version 0.6.0

Arwed von Merkatz (4):
        VERSION: 0.20-test
        ffmpeg-svn: configure options changed, bug 14364
        evince: patch to work with current poppler
        ffmpeg-svn: header install location cleanup

Bearcat Sandor (1):
        Changed depends on kdesdk to kdesdk4 in kdewebdev4

Dale E. Edmons (13):
        e-17/evas:
        evas: Corrected error in HISTORY.
        keepalived: added BUILD_DIRECTORY for bug 14100
        pymad: BUILD_DIRECTORY for bug 14100
        astyle: BUILD_DIRECTORY for bug 14100
        pslib: added BUILD_DIRECTORY for bug 14100
        mailutils: bug 14100
        ipvsadm: bug 14100
        epsutil: bug 14100
        magicfilter2: bug 14100
        apparix: bug 14100
        clex: bug 14100
        pyxine: bug 14100

David Kowis (8):
        g15composer: Updated to latest version. PI DAY!
        g15daemon: update to latest version. PI DAY!
        libg15: Updated to latest version. PI DAY!
        lcdproc: PI DAY! Updated to latest version, added dependencies, and configuration options
        libmp3splt: Version to latest stable. Unstable doesn't build
        mp3splt fixing versions so that it actually builds
        reiserfsprogs: fixed the glitch where it didn't install fsck.reiserfs
        xscreensaver: Updated to 5.05, removing patch that doesn't fix the issue

Elisamuel Resto (13):
        Revert "coreutils: use persistent_add instead of export"
        database/postgresql: -ffast-math CFLAG breaks compiling, filtering it out brings no side-effects
        libs/mcs: deprecated (renamed) in favor of libmcs
        ftp/deluge: updated to 0.5.8.7
        net/pump: new spell, a dhcp client
        php-pear/php: C-CLIENT is no more in z-rejected
        net/pump: made 'extras' patch optional, fixed chaining
        php-pear/php: added new RC (5.2.6RC3)
        http/amaya: remove gcc34 dependency
        net/pump: removed dep on newt
        net/pump: nothing but the .mo files were installing, fixed.
        net/pump: install pump into /sbin
        net/pump: fixed SOURCE (was using PATCHLEVEL)

Eric Sandall (117):
        dbus: Only seems to work with expat and not libxml2
        e17: Also include e (for imlib2) and increment PATCHLEVEL to install new script
        e_module-iiirk: E17 taskbar with system tray-like docking
        linux: Updated MM to 2.6.25-rc3-mm1
        linux: Latest PRE_2_6 is 2.6.25-rc4
        basesystem: Depends on ifupdown (Bug #14357)
        samba: Updated to 3.0.28a
        distriblend: Distributing system for rendering 3D scenes
        yaml-tiny: Added a YAML script to read/write YAML files with as little code as possible
        farmerjoe: Added a distributed rendering system for Blender
        Spell e_module-iiirk correctly
        linux: Latest PRE_2_6 is 2.6.25-rc5
        linux: Latest MM to 2.6.25-rc5-mm1
        gnonlin: Updated to 0.10.8 and depends on gst-plugins-base
        jokosher: Added a simple and powerful multi-track studio
        stunnel: Updated to 4.21
        wvstreams: Updated to 4.4.1
        dnsmasq: Updated to 2.40 and optionally use dbus
        chemtool: Updated to 1.6.11
        ddclient: Updated to 3.7.3
        vtun: Updated to 3.0.1
        portmap: Updated to 6.0 (first release in 10 years)
        mrtg: Updated to 2.15.2
        host: Updated to 20070128
        tftp-hpa: Updated to 0.48
        shorewall.gpg.key: Move from spell-level to section-level for friendly sharing
        shorewall-common: Updated to 4.0.9, change SOURCE_URLs to FTP (except Germany), remove viisage URL
        shorewall-perl: Updated to 4.0.9.1, change SOURCE_URLs to FTP (except Germany), remove viisage URL
        shorewall-shell: Updated to 4.0.9.1, change SOURCE_URLs to FTP (except Germany), remove 
viisage URL
        shorewall-lite: Updated to 4.0.9, change SOURCE_URLs to FTP (except Germany), remove viisage URL
        shorewall-docs-xml: Updated to 4.0.9, change SOURCE_URLs to FTP (except Germany), remove
viisage URL
        shorewall-docs-html: Updated to 4.0.9, change SOURCE_URLs to FTP (except Germany), remove
viisage URL
        shorewall: Updated to 4.0.9, change SOURCE_URLs to FTP (except Germany), remove viisage URL
        kompozer: Added a GECKO-based web editing environment (replaces nvu)
        evas: Add pmaps support
        kdebase: Disable new LDFLAGS if using openexr (Bug #14363)
        kdegraphics: Disable new LDFLAGS if using openexr (Bug #14363)
        fox: Updated stable to 1.6.32
        snd: Updated to 9.8
        edje_editor: Added a simple editor for edj files
        libical: Updated to 0.31, optionally depends on g++, JDK, and python
        yasm: PROVIDES +x
        yasm: SOURCE_URL starts counting at 0, not 1
        lightmediascanner: Added an optimized library for parsing and scanning directories
        exim: Updated to 4.69
        e_dbus: Add query for eHal, eNM, and eNotify support
        lightmediascanner: Add git checkout option, default to using it (for enna, only app we have
which uses it)
        enna: Optionally depends on lightmediascanner, depends on sqlite, no longer explicitly requires
curl
        ifxetex: All spells need VERSION set to something
        wpa_supplicant: Updated stable to 0.5.10
        wpa_supplicant: Updated old to 0.4.11
        octaviz: Updated to 0.4.7
        Revert "linux: use persistent_add instead of export"
        mdnsresponder: Fails to build with multiple make jobs
        gdm2: verify-shadow.patch has been applied upstream
        afterstep: Updated to 2.2.8
        linux: Latest pre-2.6 is 2.6.25-rc6
        gnome-system-tools: depneds -> depends, thanks Belxjander.
        tetex: Added /usr/share/texmf/web2c/texmf.cnf to volatiles for Bug #12131
        latex-beamer: Use SOURCEFORGE_URL not belnet.sf.net
        latex-beamer: Don't build anything (this just builds beameruserguide.pdf). Fixes Bug #14306
        binutils: Upstream patch found by Stefan Schneider to fix Bug #14015 (binutils cannot find
makeinfo with texinfo > 4.9)
        youtube-dl: Added pythons cript to download YouTube videos
        bang: Website URL changed
        tcl: Check for version changes and triger casts. Fixes Bug #14235
        cpio: Apply patch to work with gcc 4.3.0
        lzma-utils: Updated to 4.32.5 (now compiles with gcc 4.3.0)
        quota: Updated to 3.16
        nfs-utils: Updated to 1.1.2
        guile: Fix for gcc 4.3.0 (and gnutls using guile with gcc 4.3.0)
        gnutls: Optionally depends on guile
        tar: Patch to build against gcc 4.3.0
        boost: Added patch to compile with gcc 4.3.0
        gle: Updated to 4.1.2 (works with gcc 4.3.0 now)
        id3lib: Add patch to compile with gcc 4.3.0
        wpa_supplicant: Add patches to compile with gcc 4.3.0
        wpa_supplicant: Add patch for old, stable, and devel to compile with gcc 4.3.0
        openjade: Add patch to compile with gcc 4.3.0
        samba: Depends on e2fsprogs for libcom_err
        krb5: e2fsprogs and krb5 both provide libcom_err, but e2fsprogs is considered the standard
version, so have krb5 use that and then rebuild all packages which used krb5's libcom_err.so.3.0 to
use e2fsprogs' libcom_err.so.2
        subversion: Depends on e2fsprogs for libcom_err
        openssh: Depends on e2fsprogs for libcom_err
        cyrus-sasl: Depends on e2fsprogs for libcom_err
        e2fsprogs: Recast after krb5 removes compile_et, which they both installed
        neon: Depends on e2fsprogs for libcom_err
        ghostscript: Depends on e2fsprogs for libcom_err
        firefox: Apply patch to compile with gcc 4.3.0
        sunbird: Added patch to compile with gcc 4.3.0
        thunderbird: Added patch to compile with gcc 4.3.0
        flac: Added a patch to compile with gcc 4.3.0
        libofa: Added patch to compile with gcc 4.3.0
        mozilla: Added patch to fix compilation with gcc4 (found with 4.3.0)
        openexr: Added patch to compile with gcc 4.3.0
        libofx: Added a patch to compile with gcc 4.3.0
        libmusicbrainz: Added patch to build with gcc 4.3.0
        libtorrent: Added patch to compile with gcc 4.3.0
        libtorrent: Fix location where I grabbed the patch
        rtorrent: Added patch to compile against gcc 4.3.0
        xscreensaver: Patch from Javier to fix compilation with latest gtk+2. Fixes Bug #14387
        git: Updated to 1.5.5.rc1
        git: Optionally depend on bash-completion and install script if so
        git: Optionally depend on vim and install syntax highlighting if so
        libcap: Use :0:4 to match the entire VERSION (2.08)
        gtk+2: Depends on e2fsprogs for libcom_err
        samba: Depends on libcap
        mplayer: Depends on libcap
        samba: Apply patch to use proper capget after libcap update
        linux: Updated latest maintenance to 2.6.24.4
        stgit: Remove old signature
        stgit: Updated to 0.14.2
        linux: Latest RT is 2.6.24.4-rt4
        linux: Latest git patch is 2.6.25-rc6-git7
        awesome: Added a dwm-based window manager with many layouts
        gnome-python-extras: There is no libgksuui spell
        pump: Increment PATCHLEVEL for installation fixes
        exim: Forgot to update EXIM_TLS check for gnutls
        VERSION: 0.20-0

Ethan Grammatikidis (27):
        windowlab:  Use patch instead of sedit to correct install paths.
        python-pypi/boodler: new spell
        Forgot ChangeLog entry for nw spell: python-pypi/boodler
        gsasl: 80-column cleanup for long desc
        tkrat: version => 2.1.5 and patch to compile with current tk
        twinkle: really break description lines at column 80 ;)
        twinkle: fixed whatever I screwed up, including putting Ismael's history
        gnome-system-tools: cleaned up long desc (80-col; added some spacing)
        totem: cleaned up long desc (80-col)
        which: now PROVIDES WHICH
        which: forgot history entry
        gnome-applets2: now depends on WHICH. fixes bug #14381
        xfce-utils: depends which -> WHICH
        syslog-ng: depends which -> WHICH
        openoffice: depends which -> WHICH
        fcron: depends which -> WHICH
        hotplug: depends which -> WHICH
        hotplug-ng: depends which -> WHICH
        lirc: depends which -> WHICH
        koffice: depends which -> WHICH
        pciutils: depends which -> WHICH
        alsa-utils: added dependencies on mktemp and WHICH, for bug #14395
        seems I need to commit these in order to revert them
        Revert "seems I need to commit these in order to revert them"
        Revert "Revert "seems I need to commit these in order to revert them""
        pnet:   finished version bump to 0.8.0
        treecc: cleanup

Florian Franzmann (36):
        windowmanagers/windowmaker: added patches to make the spell compile on x86_64
        wm-addons/wdm: removed unnecessary dependency
        renamed init script for pure-ftpd
        ftp/pure-ftpd: HISTORY entry for my last commit
        libs/stlport: added make_single to BUILD
        printer/ghostscript: added make_single/make_normal to BUILD
        gnome2-apps/gnome-alsamixer: fixed a compile error
        gnome2-libs/glib2: downgraded to the latest stable release
        chat-libs/gloox: updated to 0.9.9.3
        chat-im/climm: updated to 0.9.2
        chat-libs/gloox: updated to 0.9.9.4
        ftp/pure-ftpd: added lots of user configurable options
        video/mplayer: added four security patches
        audio-players/qmpdclient: updated to 1.0.8
        utils/newsyslog: new spell, a log file rotater
        latex/ifxetex: new spell
        latex/dot2tex: updated to 2.7.0
        latex/pgf: updated to 2.00
        latex/pgf: added missing dependency
        latex/xcolor: updated to 2.11
        latex/tetex-texmf: changed to accomodate changes in pgf, xcolor ...
        utils/sunbird: updated to 0.7
        video-libs/xine-lib: security update to 1.1.11
        archive/bzip2: updated to 1.0.5
        archive/bzip2: re-added a HISTORY entry I accidentally removed
        video/lxdvdrip: made it compile again
        net/iptraf: added a patch to make iptraf compile
        audio-players/grip: updated to 3.2.0
        video-libs/swfdec: corrected a dependency
        video-libs/swfdec-mozilla: updated to 0.6.0
        video-libs/gstreamer: updated to 0.10.18
        utils/gnuplot: updated to 4.2.3
        gnome2-libs/gnome-themes-extras: added missing dependencies
        printer/cups: security update
        doc/xpdf: added a security patch
        graphics-libs/libpng: security update

George Sherwood (25):
        liferea: Updated devel to version 1.5.0
        gscan2pdf: Updated to version 0.9.22
        imagemagick: Updated to version 6.3.9-3
        snort: Updated to version 2.8.0.2
        gnucash: UPdated to version 2.2.4
        kadu: Updated to version 0.6.0
        git: Updated to version 1.5.4.4
        squid: Updated to version 3.0.STABLE2
        liferea: Updated stable to version 1.4.14
        imagemagick: Updated to verstion 6.3.9-7
        pan: Updated to compile with latest glib2
        seamonkey: Updated to version 1.1.9 SECURITY_PATCH++
        mono: Updated to version 1.9. Fixed SOURCE_URL
        silc-client: Updated to version 1.1.4. SECURITY_PATCH++
        silc-server: Updated to version 1.1.2
        beagle: Updated to version 0.3.4
        imagemagick: Updated to version 6.4.0-1
        firefox: Updated to version 2.0.0.13. SECURITY_PATCH++
        centerim: Updated to version 4.22.4. SECURITY_PATCH++
        liferea: Updated devel to version 1.5.1
        webkitgtk: Updated to version r31436
        kazehakase: Updated to version 0.5.4. Added optional_depends webkitgtk
        webkitgtk: Fixed compile problem by changing configure option as
        phpmyadmin: Updated to version 2.11.5.1
        ekiga: Updated to version 2.0.12

Ismael Luceno (81):
        linux-wlan-ng: use persistent_add instead of export
        qcad: use persistent_add instead of export
        wings3d: use persistent_add instead of export
        comix: use persistent_add instead of export
        djview4: use persistent_add instead of export
        ncompress: use persistent_add instead of export
        dtach: cleaned the description
        net/olsrd: new spell, implementation of the OLSR protocol
        freenx: use persistent_add instead of export
        coreutils: use persistent_add instead of export
        busybox: use persistent_add instead of export
        annotator: use persistent_add instead of export
        xine-lib: use persistent_add instead of export
        sunbird: use persistent_add instead of export
        unixtree: use persistent_add instead of export
        libdvb: use persistent_add instead of export
        cln: use persistent_add instead of export
        vtk: use persistent_add instead of export
        screen: use persistent_add instead of export
        gstreamer: use persistent_add instead of export
        gstreamer-0.8: use persistent_add instead of export
        xalan-c: use persistent_add instead of export
        pyqt4: use persistent_add instead of export
        pyqt: use persistent_add instead of export
        xerces-c: use persistent_add instead of export
        minidom: use persistent_add instead of export
        libpathan: use persistent_add instead of export
        libmcal: use persistent_add instead of export
        libfwbuilder: use persistent_add instead of export
        glibc: use persistent_add instead of export
        gettext: use persistent_add instead of export
        linux-pam: use persistent_add instead of export
        mgetty: use persistent_add instead of export
        e100: use persistent_add instead of export
        e1000: use persistent_add instead of export
        ant: use persistent_add instead of export
        dbxml: use persistent_add instead of export
        gdkxft: use persistent_add instead of export
        icecat: use persistent_add instead of export
        firefox: use persistent_add instead of export
        j: use persistent_add instead of export
        emacs: use persistent_add instead of export
        imlib: use persistent_add instead of export
        gimageview: use persistent_add instead of export
        pdfedit: use persistent_add instead of export
        openoffice: use persistent_add instead of export
        xdirectfb: use persistent_add instead of export
        fresco: use persistent_add instead of export
        xfsprogs: use persistent_add instead of export
        grub: use persistent_add instead of export
        patch: use persistent_add instead of export
        mysqlnavigator: use persistent_add instead of export
        mozart-base: use persistent_add instead of export
        lazarus: use persistent_add instead of export
        expect: use persistent_add instead of export
        xca: use persistent_add instead of export
        nss: use persistent_add instead of export
        webmin: use persistent_add instead of export
        bitlbee: use persistent_add instead of export
        bitchx: use persistent_add instead of export
        psi: use persistent_add instead of export
        pidgin: use persistent_add instead of export
        pidgin-encryption: use persistent_add instead of export
        gaim1.5: use persistent_add instead of export
        ekiga: use persistent_add instead of export
        alsaplayer-midi: use persistent_add instead of export
        rpm: use persistent_add instead of export
        unixcw: use persistent_add instead of export
        gaim-encryption-1.x: use persistent_add instead of export
        cheesetracker: use persistent_add instead of export
        directfb: use persistent_add instead of export
        linux: use persistent_add instead of export
        stlport: use persistent_add instead of export
        thunderbird: use persistent_add instead of export
        revert almost all the bogus changes I did, sorry
        revert ec762f3d6065c562c879598de74fa6f5260f4bac
        ekiga: use a subshell to call autogen.sh with new ACLOCAL_PATH
        Revert "mgetty: use persistent_add instead of export"
        twinkle: break description lines at column 80
        amaya: update to 10.0.1
        amaya: forgot to uptate SOURCE_HASH

Ivan Lezhnjov Jr (1):
        libopensync-plugin-kdepim: added BUILD (resolves bug 14384)

Jaka Kranjc (8):
        guru-tools: 1.10 - added smgl-cherry-pick
        guru-tools: revert ++version, use patchlevel, url works, fix install
        guru-tools: added missing $ in INSTALL
        smgl-cherry-pick: fixed omission of new files
        smgl-cherry-pick: warn about needing to be in the top dir
        smgl-cherry-pick: propagate the changes
        indent: fixed html doc installation path #14348
        xvidcap: added scrollkeeper dep #14365

Julien ROZO (17):
        groups: added group avahi with gid 162; fixed kde4 group format
        avahi:  updated version to 0.6.22
        knetstats: new spell, a KDE network monitor
        virtualbox: readded a newer version of Xcursor.patch to solve compilation issue with
xorg-modular grimoire
        gnomesword: updated version to 2.3.3 (fixes bug #13406)
        laptop-mode-tools: updated version to 1.35 (bug #14345)
        gphotofs: new spell, fuse FS for camera access (bug #14347)
        soundkonverter: new spell, a KDE frontend to various audio converters
        gphotofs: added fuse as a dependency
        gphotofs: added gphotofs-0.4.0.patch, a work around that includes locale.h
        bluez-libs: updated version to 3.28
        bluez-utils: updated version to 3.28
        bluez-gnome: updated version to 0.24
        ihu: new spell, a VoIP application based on QT
        eclipse: updated version to 3.3.2
        bluez-libs: updated version to 3.29
        bluez-utils: updated version to 3.29

Justin Boffemmyer (5):
        gtkdialog/{DEPENDS,DETAILS,HISTORY}: new spell
        radare/{BUILD,CONFIGURE,DEPENDS,DETAILS,HISTORY}: new spell
        ChangeLog: added 2 new spells - gtkdialog and radare
        radare/DETAILS: missed UPSTREAM_HASH marker, sha512
        ChangeLog,chat-im/ejabberd*: New spell

Juuso Alasuutari (33):
        libgig 3.2.1
        liblscp 0.5.5
        linuxsampler 0.5.1
        qsampler 0.2.1
        libgig: Fix API docs install.
        gigedit 0.1.1
        libgig: Replaced deprecated MAKE_NJOBS=1 with make_single, make_normal.
        linuxsampler: Replaced deprecated MAKE_NJOBS=1 with make_single, make_normal.
        gigedit: Replaced deprecated MAKE_NJOBS=1 with make_single, make_normal.
        qjackctl: Added forgotten HISTORY entry about file deletion.
        fluidsynth 1.0.8
        qsynth 0.3.2
        non: A new spell, a real-time, pattern-based MIDI sequencer.
        non: Added forgotten LICENSE var.
        castfs: Added missing LICENSE var.
        non: Added missing dependency on makedepend.
        qt4: Corrected invalid snapshot SOURCE.
        jackdmp: Added "control" SVN branch option, switched SVN versions to use the new scons
        Added Dave Robillard's GPG key.
        New spell, a C++ utility library aimed at audio applications.
        New spell, a Gtkmm/Gnomecanvasmm widget for finite state automata diagrams.
        patchage: New spell, a modular patch bay for audio and MIDI systems.
        ChangeLog: Corrected invalid date.
        Whoops! I just added a spell for flowcanvas, but there apparently was one in
        vamp-plugin-sdk 1.2
        rubberband: New spell, audio timestretching library.
        liboggz: New spell, library which simplifies Ogg file and stream reading and writing.
        jackdmp: Changed JACKDMP_MIMIC option default to y so that the default build is actually
jack-compatible.
        Added myself into MAINTAINER of audio-{creation,drivers,libs,plugins,soft}
        dbus: Fixed docs install.
        qt4: Updated snapshot version to 4.4.1.
        qt4: Added an explicit WebKit module query for snapshot and prerelease versions. Some
formatting improvements on
        ardour2: Added new optional dependencies for 2.4

Ladislav Hagara (56):
        ht 2.0.10
        libntlm 0.4.2
        iana-etc 2.30
        atop 1.23
        pdfedit 0.4.1
        ht 2.0.12
        lftp 3.7.0
        lm_sensors 2.10.6
        tea 17.6.0
        net/paris-traceroute: new spell, a new version of traceroute
        wings3d 0.99.02
        man-pages 2.79
        seahorse 2.22.0
        espeak 1.36
        gpgdir 1.7
        Bug 14360, not only
        gurus.gpg: added my signing key
        ChangeLog: added my igning key
        glib2 2.16.1
        glibmm 2.16.0 [Bug 14360]
        libsoup 2.4.0
        atk 1.22.0
        gail 1.22.0
        gvfs 0.2.0.1
        libbonobo 2.22.0
        libbonoboui 2.22.0
        pango 1.20.0
        gconf2 2.22.0
        gnome-vfs2 2.22.0
        eel2 2.22.0
        gtksourceview 2.2.0
        gtkhtml2 3.18.0
        libwnck 2.22.0
        libgnome 2.22.0
        e2fsprogs 1.40.8
        xaos 3.3
        crypto/ophcrack: new spell, a Windows password cracker based on rainbow tables
        pgadmin3 1.8.2
        nmap 4.60
        libcdio 0.80
        gsasl 0.2.25
        cryptsetup-luks 1.0.6
        espeak 1.36.02
        gnupg-exp 2.0.9
        gnupg 1.4.9
        shell-term-fm/roxterm: new spell, a terminal emulator with tabs
        xine-lib 1.1.11.1, SECURITY_PATCH=7
        gsl 1.11
        ecryptfs-utils 41
        c-ares 1.5.1
        vlc 0.8.6f
        m4 1.4.11, SECURITY_PATCH=1
        openssh 5.0p1
        openssh SECURITY_FIX++
        gnupg SECURITY_PATCH=7, CVE-2008-1530 [Bug 14447]
        gnupg-exp SECURITY_PATCH=5, CVE-2008-1530 [Bug 14447]

Martin Spitzbarth (2):
        aiccu: new spell, a utility to setup an IPv6 over IPv4 tunnel
        asterisk: Updated to 1.4.18.1, SECURITY_PATCH++, bug 14427

Mathieu Lonjaret (2):
        plan9port: update to 20080307
        openssh: added xauth dep for X11Forwarding

Pol Vinogradov (3):
        x11-libs/wine: patch only non-VCS branch for ncurses issue
        xfce/xfdesktop: added PRE_BUILD to fix menu plugin crash
        disk/udftools: added including of limits.h in some files to cast well ;)

Remko van der Vossen (8):
        doc/mnemosyne: Version 1.0.1
        i18n/anthy: Version 9100e
        net/portmap: added patch to enable compiling without tcp_wrappers
        /net/nfs-utils: optionally depends on tcp_wrappers
        net/nfs-utils: Undid inadvertent removal of HISTORY lines
        doc/mnemosyne: version 1.0.1.1
        ruby-raa: move eruby/718329DC.gpg up into ruby-raa so that mod_ruby can use it
        ruby-raa/mod_ruby: New spell, ruby module for apache

Robert Figura (7):
        pcmanfm-0.3.6.2
        pcmanfm: fixed HISTORY
        gwenhywfar 3.2.0, ktoblzcheck 1.12, aqbanking 3.3.0, qbankmanager 0.9.48
        reverted ChangeLog according to policy
        vips: 7.14.1, nip2: 7.14.1
        pulseaudio: update to 0.9.10
        vips: added .sig, nip2: added .sig

Robin Cook (118):
        evolution-sharp: updated to 0.15.92
        ghex: updated to 2.21.92
        gnome-pilot: updated to 2.0.16
        gnome-pilot-conduits: updated to 2.0.16
        tomboy: updated to 0.9.8
        librsvg2: updated to 2.22.2
        gtk-sharp-2: updated to 2.12.0
        libgnome: updated to 2.21.92
        gnome-session: updated to 2.21.93
        java-access-bridge: updated to 1.22.0
        gvfs: new spell
        libgnomeui: updated to 2.21.93
        glib2: updated to 2.16.0
        glib2: updated to 2.16.1
        pango: updated to 1.20.0
        gconf2: updated to 2.22.0
        glibmm: updated to 2.16.0
        libxml++: updated to 2.22.0
        I
        Revert "I"
        Revert "glibmm: updated to 2.16.0"
        Revert "gconf2: updated to 2.22.0"
        Revert "pango: updated to 1.20.0"
        Revert "glib2: updated to 2.16.1"
        Revert "glib2: updated to 2.16.0"
        at-spi: updated to 1.22.0
        libgnomeui: updated to 2.22.01
        gnome-python2: updated to 2.22.0
        libgnomemm: updated to 2.22.0
        libgnomecanvasmm: updated to 2.22.0
        libgnomeuimm: updated to 2.22.0
        gnome-vfsmm: updated to 2.22.0
        libglademm: updated to 2.6.6
        gconfmm: updated to 2.22.0
        libxklavier
        evolution-data-server: updated to 2.22.0
        gnome-keyring: updated to 2.22.0
        gnome-doc-utils: updated to 0.12.2
        gnome-desktop: updated to 2.22.0
        gnome-menus: updated to 2.22.0
        libgweather: updated to 2.22.0
        gnome-panel: updated to 2.22.0
        fast-user-switch-applet: 2.22.0
        gconf-editor: updated to 2.22.0
        gnome-applets2: updated to 2.22.0
        gnome-backgrounds: updated to 2.22.0
        gtk-engines2: updated to 2.14.0
        gnome-themes: updated to 2.22.0
        gnome-icon-theme: updated to 2.22.0
        nautilus2: updated to 2.22.0
        metacity: updated to 2.22.0
        gnome-settings-daemon: updated to 2.22.0
        G
        nautilus-cd-burner: updated to 2.22.0
        libgtop2: updated to 2.22.0
        gnome-media2: updated to 2.22.0
        gnome-python-desktop: updated to 2.22.0
        gnome-games2: updated to 2.22.0
        gdm2: updated to 2.20.4
        gnome-screensaver: updated to 2.22.0
        gnome-session: updated to 2.22.0
        gnome-system-monitor: updated to 2.22.0
        gnome-terminal: updated to 2.22.0
        gnome2-user-docs: updated to 2.22.0
        pygtksourceview: updated to 2.2.0
        vino: updated to 2.22.0
        yelp: updated to 2.22.0
        zenity: updated to 2.22.0
        gnome-sharp: 2.20.0
        gnome-desktop-sharp: updated to 2.20.1
        bug-buddy2: updated to 2.22.0
        evolution: updated to 2.22.0
        alacarte: updated to 0.11.5
        deskbar-applet: updated to 2.22.0.1
        eog2: updated to 2.22.0
        epiphany: updated to 2.22.0
        epiphany-extensions: updated to 2.22.0
        evince: updated to 2.22.0
        file-roller: updated to 2.22.0
        gcalctool: updated to 5.22.0
        gedit: updated to 2.22.0
        gedit-plugin: updated to 2.22.0
        gedit-plugins: added new plugins
        gnome-power-manager: updated to 2.22.0
        system-tools-backends: updated to 2.6.0
        liboobs: updated to 2.22.0
        evolution-exchange: updated to 2.22.0
        gnome-system-tools: updated to 2.22.0
        gucharmap: updated to 2.22.0
        orca: updated to 2.22.0
        tomboy: updated to 0.10.0
        glade3: updated to 3.4.3
        gnome-devel-docs: updated to 2.22.0
        anjuta: updated to 2.4,0
        accerciser: updated to 1.2.0
        gdl: updated to 0.7.11
        gnome-build: updated to 0.2.4
        totem-pl-parser: updated to 2.22.1
        totem: updated to 2.22.0
        sound-juicer: updated to 2.22.0
        xdg-user-dirs: updated to 0.10
        xdg-user-dirs-gtk: updated to 0.7
        gmime: updated to 2.2.18
        libgdamm: updated to 3.0.0
        rhythmbox: 0.11.5
        sabayon: updated to 2.22.0
        pessulus: updated to 2.16.4
        libgdamm: added missed depends change
        gvfs: updated to 0.2.1
        libgnomekbd: updated to 2.22.0
        gnome-audio2: updated to 2.22.0
        gtk-doc: updated to 1.10
        gnome-games-extra-data: updated to 2.22.0
        gnome-audio2: updated to 2.22.1
        gswitchit_plugins: updated to 0.9
        nautilus-sendto: updated to 0.14.0
        gvfs: updated to 0.2.2
        eel2: updated to 2.22.1

Thomas Orgis (3):
        mpg123: bump to 1.3.1 (alsa compatibility fix with low priority for us).
        mpg123, portaudio{,v19}: mpg123 can use either one, so added a provider PORTAUDIO.
        portaudio{,19}: the missing provider files

Treeve Jelbert (169):
        dbd-interbase-0.48
        libburn-pykix-0.4.2
        libisofs-0.6.2.1
        kdelibs4-4.0.65
        kdepimlibs4-4.0.65
        kdetoys4-4.0.65
        kdevelop4-4.0.65
        kdevplatform4-4.0.65
        kdewebdev4-4.0.65
        kdebase4-runtime-4.0.65
        kdebindings4-4.0.65
        kdeedu4-4.0.65
        kdeaccessibility4-4.0.65
        kdebase-workspace4-4.0.65
        kde4 - fix subdepends problem
        kdebase4-4.0.65
        kdeadmin4-4.0.65
        kdegames4-4.0.65
        kdegraphics4-4.0.65
        kdepim4-4.0.65
        kdemultimedia4-4.0.65
        kdeutils4-4.0.65
        kdenetwork4-4.0.65
        kdesdk4-4.0.65
        kdesdk4 - hash
        KDE_DEPENDS - fix typo
        gutenprint-5.1.7
        kdelibs4-4.0.2
        kdepimlibs4-4.0.2
        kdebase4-runtime
        kdeadmin4-4.0.2
        kdebase-workspace4-4.0.2
        kdebase4-4.0.2
        kdebindings4-4.0.2
        kdeedu4-4.0.2
        kdegames4-4.0.2
        kdegraphics4-4.0.2
        kdemultimedia4-4.0.2
        kdenetwork4-4.0.2
        kdeutils4-4.0.2
        kdetoys4-4.0.2
        kdesdk4-4.0.2
        kde4-l10n-4.0.2
        kde4-profile-4.0.2
        kdeaccessibility4-4.0.2
        kdewebdev4-4.0.2
        firebird-2.1.0.17755-ReleaseCandidate2
        libksane-0.1.0
        cimg-1.2.7
        gscan2pdf-0.9.23
        wine-0.9.57
        gnome-vfs2 - fix bug #14342
        thoggen-0.7.0
        avogadro-0.6.1
        firebird - fix startup problem
        postgresql - fix init script
        turbogears-1.0.4.4
        luca-1.1
        liboil-0.3.13
        dvd+rw-tools-7.1
        openvpn-2.1_rc7
        ntfs-3g-1.2310
        sqlobject-0.9.5
        sqlobject-0.10.0
        sqlalchemy-0.4.4
        fltk-1.1.8rc2
        kdelibs4-4.0.66
        kdepimlibs4-4.0.66
        kdebase4-runtime-4.0.66
        kdebase4-4.0.66
        kdeaccessibility4-4.0.66
        kdebindings4-4.0.66
        kdeedu4-4.0.66
        kdesdk4-4.0.66
        kdetoys4-4.0.66
        kdevelop4-4.0.66
        kdevplatform4-4.0.66
        kdewebdev4-4.0.66
        kde4-profile-4.0.66
        kdebase-workspace4-4.0.66
        kdeadmin4-4.0.66
        kdegames4-4.0.66
        kdegraphics4-4.0.66
        kdemultimedia4-4.0.66
        kdeutils4-4.0.66
        kdenetwork4-4.0.66
        kdepim4-4.0.66
        hal-info-20080313
        hal-0.5.11rc1
        re2c-0.13.3
        gmp-4.2.2
        mpfr-2.3.1
        Revert "stlport: use persistent_add instead of export"
        tokyocabinet-1.2.1
        aria2-0.13.1
        findutils-4.4.0
        /pciutils-2.2.10
        freetype2 - new url
        texinfo-4.11
        djview4-4.3
        flamerobin-0.8.6
        cherokee-0.6.0
        hal-0.5.11rc2
        yakuake4-2.9.1
        postgresql-8.3.1
        wine-0.9.58
        hal-info-20080317
        udev-119
        twinkle-1.2
        smartmontools-5.38
        perl-glib-1.181
        perl-gtk2-1.181
        perl-cairo-1.045
        perl-extutils-pkgconfig-1.11
        params-validate-0.89
        xml-writer-0.604
        yodl-2.12.1
        bobcat-1.17.2
        bisonc++-2.4.1
        fltk-1.1.8rc3
        /memtest86+-2.01
        "libao-0.8.8"
        update kernel.gpg
        "libcap-2.08"
        libcap - forgotten
        "openrpt-2.3.0"
        "firebird-2.0.3.12981-1"
        "kaa-base-0.4.0"
        "kaa-metadata-0.7.3"
        "freevo-1.8.0"
        freevo - update depends
        "ktorrent4-3.0.1"
        sane-backends - installl some extra files
        "gramps-3.0.0"
        "fontconfig-2.5.91"
        "gparted-0.3.6"
        "poppler-0.8.0"
        "kdeaccessibility4-4.0.2"
        "kdeadmin4-4.0.2"
        "kdebindings4-4.0.67"
        "kdeedu4-4.0.67"
        "kdelibs4-4.0.67"
        "kdesdk4-4.0.67"
        "kdetoys4-4.0.67"
        "kdevelop4-4.0.67"
        "kdevplatform4-4.0.67"
        "kdewebdev4-4.0.67"
        "kde4-profile-4.0.67"
        "kdebase-workspace4-4.0.67"
        "kdebase4-runtime-4.0.67"
        "kdebase4-4.0.67"
        "kdegames4-4.0.67"
        "kdemultimedia4-4.0.67"
        "kdenetwork4-4.0.67"
        "kdepimlibs4-4.0.67"
        "kdeutils4-4.0.67"
        "kdegraphics4-4.0.67"
        "kdepim4-4.0.67"
        "libgphoto2-2.4.1"
        "elixir-0.5.2"
        "libsamplerate-0.1.3"
        "boost-1_35_0"
        "fltk-1.1.8"
        dazuko-2.3.5-pre1
        "raptor-1.4.17"
        "glew-1.5.0"
        "perl-extutils-depends-0.300"
        "perl-glib-1.182"
        "perl-gtk2-1.182"

Vlad Glagolev (68):
        orage: => 4.5.12.2
        libgsf: => 1.14.8
        goffice: => 0.6.2
        gnumeric: => 1.8.2
        sudo: => 1.6.9p14
        dejavu-ttf: => 2.24
        dvd+rw-tools: => 7.1
        pytz: => 2008a
        rarian: => 0.8.0
        gtkmm2: => 2.12.5
        lighttpd: => 1.4.19, SECURITY_PATCH+=1, cleaned up
        vte: => 0.16.13
        libsigc++3: => 2.2.2
        inkscape: => 0.46
        firefox: => 3.0b4
        ristretto: => 0.0.17, cleaned up
        lgui: new spell, GTK+2 binding for Lua
        ldraw: new spell, cairo binding for Lua
        gtk+2: => 2.12.9
        xfce4-dict-plugin: => 0.3.0
        thunar: fixed D-Bus support
        inkscape: upstream key added, gz => bz2 to reduce DLable size
        trac: => 0.11b2
        lua-imlib2: fixed path via the version detection
        lunatic-python: new spell, two-way bridge between Python and Lua
        poppler: => 0.7.2
        xcompmgr: => 1.1.4
        cdrkit: => 1.1.7.1
        sqlite: => 3.5.7
        abiword: => 2.6.0
        poppler: => 0.7.3, cleaned up
        libidn: => 1.6
        desktop-file-utils: => 0.15
        udev: added UPSTREAM_KEY, removed forgotten PATCHLEVEL after updating to the new version..
        lgui: => 0.7.0
        bluez-utils: renewed the script, enabled SDP daemon selection
        luafilesystem: fixed upstream url
        conky: => 1.5.0
        libcap: compilation fixes + DETAILS clean up
        libcap: fixed install prefix
        jackdmp: fixed multijob build
        liblo: => 0.24
        soundtouch: automake-1.9 => automake
        ardour2: some simple fixes + clean up
        ardour2: returned identation + added FFT_ANALYSIS option
        ristretto: => 0.0.18
        wget: => 1.11.1
        mercurial: => 1.0
        lxml: => 2.0.3
        epdfview: added TRIGGERS to fix some errors after poppler updates
        git: => 1.5.5.rc2
        alsa-utils: fixed mktemp dep
        transmission: => 1.10
        gphoto2: => 2.4.1
        mercurial: fixed build process if no hgtools selected
        sudo: => 1.6.9p15
        curl: => 7.18.1
        wireshark: => 1.0.0 + revision of the dependencies
        nmap: added Lua dep, multijob OK
        gtk-led-askpass: new spell, another GTK+2-based ssh-askpass
        wireshark: added cool 48x48 png icon
        wireshark: added setuid option
        nmap: fixed pygtk2 dep + updated the links
        openssh: => 4.9p1
        glibmm: => 2.16.1
        cairomm: => 1.4.8
        conky: => 1.5.1
        ardour2: => 2.4

root (2):
        Revert "reetype2-2.3.5"
        VERSION: 0.20-rc

[0] http://wiki.sourcemage.org/Stable-0.20
[1] Generated with: 'git hortlog--no-merges stable-0.19-6..stable-0.20-0'

-- 
Elisamuel Resto <ryuji at sourcemage.org>
Source Mage GNU/Linux General Guru
http://www.sourcemage.org

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 258 bytes
Desc: OpenPGP digital signature
Url : http://lists.ibiblio.org/pipermail/sm-discuss/attachments/20080418/00439004/attachment.bin 


More information about the SM-Discuss mailing list